#
# $Id: Makefile.inc,v 1.1 2003/05/11 12:28:12 markus Exp $
#
# Common Makefile for {n,p,g}make
#

main.o: main.cpp Memory.hpp RAM.hpp MemoryChain.hpp CPU.hpp \
	ObjectFile.hpp IOTtyOut.hpp Decoder.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)main.o main.cpp

Memory.o: Memory.cpp Memory.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)Memory.o Memory.cpp

RAM.o: RAM.cpp RAM.hpp Memory.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)RAM.o RAM.cpp

MemoryChain.o: MemoryChain.cpp MemoryChain.hpp Memory.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)MemoryChain.o MemoryChain.cpp

CPU.o: CPU.cpp CPU.hpp MemoryChain.hpp Memory.hpp Decoder.hpp Error.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)CPU.o CPU.cpp

Error.o: Error.cpp Error.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)Error.o Error.cpp

Decoder.o: Decoder.cpp Decoder.hpp Error.hpp MemoryChain.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)Decoder.o Decoder.cpp

ObjectFile.o: ObjectFile.cpp ObjectFile.hpp Error.hpp MemoryChain.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)ObjectFile.o ObjectFile.cpp

IOTtyOut.o: IOTtyOut.cpp IOTtyOut.hpp Error.hpp Memory.hpp
	$(CC) -c $(CFLAGS) $(INCPATH) $(OBJOUT)IOTtyOut.o IOTtyOut.cpp
