# 
# $Id: Makefile.inc,v 1.2 2003/05/30 09:44:00 markus Exp $
#
# The dependencies for the makefile

CodeGen.o: CodeGen.cpp CodeGen.hpp SymbolTable.hpp Symbol.hpp Lexer.hpp \
 SourceHandler.hpp Error.hpp global_options.hpp

SymbolTable.o: SymbolTable.cpp SymbolTable.hpp Symbol.hpp

main.o: main.cpp SymbolTable.hpp Symbol.hpp SourceHandler.hpp \
 Error.hpp CodeGen.hpp Lexer.hpp Parser.hpp global_options.hpp

Error.o: Error.cpp Error.hpp

Parser.o: Parser.cpp Parser.hpp SourceHandler.hpp \
 Error.hpp Lexer.hpp CodeGen.hpp SymbolTable.hpp Symbol.hpp global_options.hpp

SourceHandler.o: SourceHandler.cpp Error.hpp SourceHandler.hpp global_options.hpp

Lexer.o: Lexer.cpp Lexer.hpp SourceHandler.hpp Error.hpp

